Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pebble.domain
Class StaticPage

    java.lang.Object
      net.sourceforge.pebble.domain.Content
          net.sourceforge.pebble.domain.PageBasedContent
              net.sourceforge.pebble.domain.StaticPage

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, Permalinkable

    public class StaticPage

extends PageBasedContent

Represents a page.

Author:
  Simon Brown
See Also:
  Serialized Form

Field Summary

Fields inherited from class net.sourceforge.pebble.domain.PageBasedContent
`AUTHOR_PROPERTY, BODY_PROPERTY, DATE_PROPERTY, ORIGINAL_PERMALINK_PROPERTY, SUBTITLE_PROPERTY, TITLE_PROPERTY`

Fields inherited from class net.sourceforge.pebble.domain.Content
`propertyChangeSupport`

Constructor Summary
`StaticPage(Blog blog)` Creates a new blog entry.

Method Summary
`java.lang.Object` | `clone()` Creates and returns a copy of this object.
`boolean` | `equals(java.lang.Object o)` Indicates whether some other object is "equal to" this one.
`java.lang.String` | `getGuid()`
`java.lang.String` | `getLocalPermalink()` Gets a permalink for this blog entry that is local to the blog.
`java.lang.String` | `getName()`
`void` | `setName(java.lang.String name)`
`void` | `validate(ValidationContext context)`

Methods inherited from class net.sourceforge.pebble.domain.PageBasedContent
`getAuthor, getBlog, getBody, getContent, getDate, getId, getLastModified, getOriginalPermalink, getPermalink, getSubtitle, getTitle, getUser, isAggregated, isPersistent, isPublished, isUnpublished, setAuthor, setBody, setDate, setOriginalPermalink, setPersistent, setPublished, setSubtitle, setTitle, toString`

Methods inherited from class net.sourceforge.pebble.domain.Content
`clearPropertyChangeEvents, getEvents, getPropertyChangeEvents, getState, getTruncatedContent, hasEvents, isDirty, nextEvent`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StaticPage

    public StaticPage(Blog blog)

  Creates a new blog entry.

  Parameters:
    `blog` - the owning Blog

Method Detail

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getLocalPermalink

    public java.lang.String getLocalPermalink()

  Gets a permalink for this blog entry that is local to the blog. In other words, it doesn't take into account the original permalink for aggregated content.

  Specified by:
    `getLocalPermalink` in class `PageBasedContent`
  Returns:
    an absolute URL as a String

### validate

    public void validate(ValidationContext context)

### getGuid

    public java.lang.String getGuid()

### equals

    public boolean equals(java.lang.Object o)

  Indicates whether some other object is "equal to" this one.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `o` - the reference object with which to compare.
  Returns:
    `true` if this object is the same as the obj argument; `false` otherwise.
  See Also:
    `Object.hashCode()`, `Hashtable`

### clone

    public java.lang.Object clone()

  Creates and returns a copy of this object.

  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    a clone of this instance.
  See Also:
    `Cloneable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2006, Simon Brown. All Rights Reserved.